// TextPerformance.cpp : Test performance of Wpio Text

#include "stdafx.h"

// -------------------------------------------------------------------------

void textPerformance()
{
	WpioWriterPtr writer("Wpio.Writer");

	writer->NewWordDocfile(
		outputPath("textPerformance.doc"), STGM_CREATE|STGM_READWRITE|STGM_SHARE_EXCLUSIVE);
	
	WpioDocument* doc = writer->Data;

	doc->NewNormalSection();

	for (int i = 0; i < 0x10000; ++i)
	{
		doc->NewNormalParagraph();
		doc->NewNormalSpan();
		doc->AddText(L"Hello world!\x0d", 13);
	}
	
	writer->Save();
}

AUTORUN(textPerformance);

// -------------------------------------------------------------------------
